Index: cpukit/Makefile.am
===================================================================
--- cpukit/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/Makefile.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -3,4 +3,15 @@
 include $(top_srcdir)/automake/compile.am
 include $(top_srcdir)/automake/multilib.am
+include $(srcdir)/header-dirs.am
+include $(srcdir)/headers.am
+
+if LIBNETWORKING
+
+include $(srcdir)/libnetworking/headers.am
+
+endif
+
+# This file is in the build tree
+include_rtems_score_HEADERS += ../include/rtems/score/cpuopts.h
 
 project_lib_LIBRARIES =
@@ -1506,4 +1517,6 @@
 if CPU_ARM
 
+include $(srcdir)/score/cpu/arm/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/arm/__aeabi_read_tp.c
 librtemscpu_a_SOURCES += score/cpu/arm/arm-context-validate.S
@@ -1540,4 +1553,6 @@
 if CPU_BFIN
 
+include $(srcdir)/score/cpu/bfin/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/bfin/bfin-exception-frame-print.c
 librtemscpu_a_SOURCES += score/cpu/bfin/cpu_asm.S
@@ -1549,4 +1564,6 @@
 
 if CPU_EPIPHANY
+
+include $(srcdir)/score/cpu/epiphany/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/epiphany/cpu.c
@@ -1561,4 +1578,6 @@
 if CPU_I386
 
+include $(srcdir)/score/cpu/i386/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/i386/cpu_asm.S
 librtemscpu_a_SOURCES += score/cpu/i386/cpu.c
@@ -1570,4 +1589,6 @@
 
 if CPU_LM32
+
+include $(srcdir)/score/cpu/lm32/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/lm32/cpu_asm.S
@@ -1581,4 +1602,6 @@
 
 if CPU_M32C
+
+include $(srcdir)/score/cpu/m32c/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/m32c/context_init.c
@@ -1595,4 +1618,6 @@
 if CPU_M68K
 
+include $(srcdir)/score/cpu/m68k/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/m68k/cpu_asm.S
 librtemscpu_a_SOURCES += score/cpu/m68k/cpu.c
@@ -1606,4 +1631,6 @@
 if CPU_MIPS
 
+include $(srcdir)/score/cpu/mips/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/mips/cpu.c
 librtemscpu_a_SOURCES += score/cpu/mips/cpu_asm.S
@@ -1614,4 +1641,6 @@
 
 if CPU_MOXIE
+
+include $(srcdir)/score/cpu/moxie/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/moxie/cpu.c
@@ -1625,4 +1654,6 @@
 
 if CPU_NIOS2
+
+include $(srcdir)/score/cpu/nios2/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/nios2/nios2-context-initialize.c
@@ -1656,4 +1687,6 @@
 if CPU_NO_CPU
 
+include $(srcdir)/score/cpu/no_cpu/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpu.c
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpu_asm.c
@@ -1665,4 +1698,6 @@
 
 if CPU_OR1K
+
+include $(srcdir)/score/cpu/or1k/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpucounterfrequency.c
@@ -1680,4 +1715,6 @@
 if CPU_POWERPC
 
+include $(srcdir)/score/cpu/powerpc/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpuidle.c
 librtemscpu_a_SOURCES += score/cpu/powerpc/cpu.c
@@ -1690,4 +1727,6 @@
 
 if CPU_RISCV
+
+include $(srcdir)/score/cpu/riscv/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/riscv/cpu.c
@@ -1704,4 +1743,6 @@
 if CPU_SH
 
+include $(srcdir)/score/cpu/sh/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpucounterfrequency.c
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpucounterread.c
@@ -1714,4 +1755,6 @@
 
 if CPU_SPARC64
+
+include $(srcdir)/score/cpu/sparc64/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpucounterfrequency.c
@@ -1727,4 +1770,6 @@
 
 if CPU_SPARC
+
+include $(srcdir)/score/cpu/sparc/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpuidle.c
@@ -1744,4 +1789,6 @@
 if CPU_V850
 
+include $(srcdir)/score/cpu/v850/headers.am
+
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpucounterfrequency.c
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpucounterread.c
@@ -1754,4 +1801,6 @@
 
 if CPU_X86_64
+
+include $(srcdir)/score/cpu/x86_64/headers.am
 
 librtemscpu_a_SOURCES += score/cpu/no_cpu/cpucounterfrequency.c
@@ -1796,8 +1845,4 @@
 
 all-local: generate-vc-key
-
-# librtemscpu
-_SUBDIRS = . score
-_SUBDIRS += libnetworking
 
 project_lib_LIBRARIES += libftpd.a
@@ -1930,5 +1975,2 @@
 
 endif
-
-include $(top_srcdir)/automake/subdirs.am
-include $(srcdir)/headers.am
Index: cpukit/automake/subdirs.am
===================================================================
--- cpukit/automake/subdirs.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,53 +1,0 @@
-## Copyright 2017 Chris Johns <chrisj@rtems.org>
-
-##
-## The following builds in parallel. The subdirectories are
-## expanded into separate rules and all the targets are listed
-## and make runs as many as it can.
-##
-## A macro is defined and evaluated once for each directory. This
-## creates the instance of the rule. Use $(info ...) to print them.
-##
-
-SUBDIRS_dot              = $(filter     .,$(_SUBDIRS))
-SUBDIRS_no_dot           = $(filter-out .,$(_SUBDIRS))
-SUBDIRS_no_dot_no_wrapup = $(filter-out wrapup,$(SUBDIRS_no_dot))
-SUBDIRS_wrapup           = $(filter     wrapup,$(SUBDIRS_no_dot))
-
-preinstall: $(preintstall_targets)
-
-define CPUKITDIR
-.PHONY: $1
-$1: $(preintstall_targets)
-	@+set fnord $(MAKEFLAGS); amf=$$$$2; \
-	subdir=$(2); \
-	target=`echo $(MAKECMDGOALS) | sed s/-recursive//`; \
-	if test "$$$$target" = "all-local-am"; then \
-	  target="all-am"; \
-	fi; \
-	if test "$$$$target" = "all-local"; then \
-	  target="all"; \
-	fi; \
-	echo "Making $$$$target in $$$$subdir"; \
-	if test "$$$$subdir" != "."; then \
-	  cd $$$$subdir; \
-	  $(MAKE) $(AM_MAKEFLAGS) $$$$target; \
-	fi;
-endef
-
-#
-# This GNU make syntax is being used to stop automake thinking the code is for
-# it.
-#
-$(if "$(SUBDIRS_dot)" ".",$(eval $(call CPUKITDIR,dot,.)))
-
-$(foreach D,$(SUBDIRS_no_dot),$(eval $(call CPUKITDIR,$(D),$(D))))
-
-#
-# If there is a wrapup make it depend on all other directories so it is not
-# entered until they have finished.
-#
-$(if "$(SUBDIRS_wrapup)" "wrapup",wrapup: dot $(foreach D,$(SUBDIRS_no_dot_no_wrapup),$(D)),)
-
-all-local:   $(if "$(SUBDIRS_dot)" ".",dot) $(SUBDIRS_no_dot)
-clean-local: $(if "$(SUBDIRS_dot)" ".",dot) $(SUBDIRS_no_dot)
Index: cpukit/configure.ac
===================================================================
--- cpukit/configure.ac	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/configure.ac	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -493,27 +493,5 @@
 AC_CONFIG_FILES([
 Doxyfile
-Makefile
-score/Makefile
-score/cpu/Makefile
-score/cpu/arm/Makefile
-score/cpu/bfin/Makefile
-score/cpu/epiphany/Makefile
-score/cpu/i386/Makefile
-score/cpu/lm32/Makefile
-score/cpu/m68k/Makefile
-score/cpu/m32c/Makefile
-score/cpu/mips/Makefile
-score/cpu/moxie/Makefile
-score/cpu/nios2/Makefile
-score/cpu/or1k/Makefile
-score/cpu/powerpc/Makefile
-score/cpu/riscv/Makefile
-score/cpu/sh/Makefile
-score/cpu/sparc/Makefile
-score/cpu/sparc64/Makefile
-score/cpu/v850/Makefile
-score/cpu/x86_64/Makefile
-score/cpu/no_cpu/Makefile
-libnetworking/Makefile])
+Makefile])
 
 AC_OUTPUT
Index: cpukit/header-dirs.am
===================================================================
--- cpukit/header-dirs.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
+++ cpukit/header-dirs.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -0,0 +1,80 @@
+## This file was generated by "./boostrap -H".
+include_HEADERS =
+include_adaincludedir = $(includedir)/adainclude
+include_adainclude_HEADERS =
+include_arpadir = $(includedir)/arpa
+include_arpa_HEADERS =
+include_devdir = $(includedir)/dev
+include_dev_HEADERS =
+include_dev_i2cdir = $(includedir)/dev/i2c
+include_dev_i2c_HEADERS =
+include_dev_miidir = $(includedir)/dev/mii
+include_dev_mii_HEADERS =
+include_dev_serialdir = $(includedir)/dev/serial
+include_dev_serial_HEADERS =
+include_dev_spidir = $(includedir)/dev/spi
+include_dev_spi_HEADERS =
+include_drvmgrdir = $(includedir)/drvmgr
+include_drvmgr_HEADERS =
+include_kerndir = $(includedir)/kern
+include_kern_HEADERS =
+include_libdir = $(includedir)/lib
+include_lib_HEADERS =
+include_libcdir = $(includedir)/libc
+include_libc_HEADERS =
+include_libcpudir = $(includedir)/libcpu
+include_libcpu_HEADERS =
+include_linuxdir = $(includedir)/linux
+include_linux_HEADERS =
+include_linux_spidir = $(includedir)/linux/spi
+include_linux_spi_HEADERS =
+include_machinedir = $(includedir)/machine
+include_machine_HEADERS =
+include_mghttpddir = $(includedir)/mghttpd
+include_mghttpd_HEADERS =
+include_netdir = $(includedir)/net
+include_net_HEADERS =
+include_netinetdir = $(includedir)/netinet
+include_netinet_HEADERS =
+include_nfsdir = $(includedir)/nfs
+include_nfs_HEADERS =
+include_nfsclientdir = $(includedir)/nfsclient
+include_nfsclient_HEADERS =
+include_pcidir = $(includedir)/pci
+include_pci_HEADERS =
+include_rpcdir = $(includedir)/rpc
+include_rpc_HEADERS =
+include_rtemsdir = $(includedir)/rtems
+include_rtems_HEADERS =
+include_rtems_bfindir = $(includedir)/rtems/bfin
+include_rtems_bfin_HEADERS =
+include_rtems_bsdnetdir = $(includedir)/rtems/bsdnet
+include_rtems_bsdnet_HEADERS =
+include_rtems_debuggerdir = $(includedir)/rtems/debugger
+include_rtems_debugger_HEADERS =
+include_rtems_m68kdir = $(includedir)/rtems/m68k
+include_rtems_m68k_HEADERS =
+include_rtems_mipsdir = $(includedir)/rtems/mips
+include_rtems_mips_HEADERS =
+include_rtems_posixdir = $(includedir)/rtems/posix
+include_rtems_posix_HEADERS =
+include_rtems_powerpcdir = $(includedir)/rtems/powerpc
+include_rtems_powerpc_HEADERS =
+include_rtems_rfsdir = $(includedir)/rtems/rfs
+include_rtems_rfs_HEADERS =
+include_rtems_rtemsdir = $(includedir)/rtems/rtems
+include_rtems_rtems_HEADERS =
+include_rtems_rtldir = $(includedir)/rtems/rtl
+include_rtems_rtl_HEADERS =
+include_rtems_scoredir = $(includedir)/rtems/score
+include_rtems_score_HEADERS =
+include_rtems_tracedir = $(includedir)/rtems/trace
+include_rtems_trace_HEADERS =
+include_sysdir = $(includedir)/sys
+include_sys_HEADERS =
+include_utf8procdir = $(includedir)/utf8proc
+include_utf8proc_HEADERS =
+include_uuiddir = $(includedir)/uuid
+include_uuid_HEADERS =
+include_vmdir = $(includedir)/vm
+include_vm_HEADERS =
Index: cpukit/headers.am
===================================================================
--- cpukit/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,5 +1,3 @@
 ## This file was generated by "./boostrap -H".
-
-include_HEADERS =
 include_HEADERS += include/aio.h
 include_HEADERS += include/crypt.h
@@ -23,11 +21,5 @@
 include_HEADERS += include/zconf.h
 include_HEADERS += include/zlib.h
-
-include_arpadir = $(includedir)/arpa
-include_arpa_HEADERS =
 include_arpa_HEADERS += include/arpa/ftp.h
-
-include_dev_i2cdir = $(includedir)/dev/i2c
-include_dev_i2c_HEADERS =
 include_dev_i2c_HEADERS += include/dev/i2c/eeprom.h
 include_dev_i2c_HEADERS += include/dev/i2c/fpga-i2c-slave.h
@@ -40,32 +32,14 @@
 include_dev_i2c_HEADERS += include/dev/i2c/ti-tmp112.h
 include_dev_i2c_HEADERS += include/dev/i2c/xilinx-axi-i2c.h
-
-include_dev_serialdir = $(includedir)/dev/serial
-include_dev_serial_HEADERS =
 include_dev_serial_HEADERS += include/dev/serial/sc16is752.h
-
-include_dev_spidir = $(includedir)/dev/spi
-include_dev_spi_HEADERS =
 include_dev_spi_HEADERS += include/dev/spi/spi.h
-
-include_drvmgrdir = $(includedir)/drvmgr
-include_drvmgr_HEADERS =
 include_drvmgr_HEADERS += include/drvmgr/drvmgr.h
 include_drvmgr_HEADERS += include/drvmgr/drvmgr_confdefs.h
 include_drvmgr_HEADERS += include/drvmgr/drvmgr_list.h
 include_drvmgr_HEADERS += include/drvmgr/pci_bus.h
-
-include_linuxdir = $(includedir)/linux
-include_linux_HEADERS =
 include_linux_HEADERS += include/linux/i2c-dev.h
 include_linux_HEADERS += include/linux/i2c.h
 include_linux_HEADERS += include/linux/rbtree.h
-
-include_linux_spidir = $(includedir)/linux/spi
-include_linux_spi_HEADERS =
 include_linux_spi_HEADERS += include/linux/spi/spidev.h
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
 include_machine_HEADERS += include/machine/_kernel_cpuset.h
 include_machine_HEADERS += include/machine/_kernel_in.h
@@ -77,11 +51,5 @@
 include_machine_HEADERS += include/machine/_kernel_uio.h
 include_machine_HEADERS += include/machine/_timecounter.h
-
-include_mghttpddir = $(includedir)/mghttpd
-include_mghttpd_HEADERS =
 include_mghttpd_HEADERS += include/mghttpd/mongoose.h
-
-include_pcidir = $(includedir)/pci
-include_pci_HEADERS =
 include_pci_HEADERS += include/pci/access.h
 include_pci_HEADERS += include/pci/cfg.h
@@ -94,7 +62,4 @@
 include_pci_HEADERS += include/pci/irq.h
 include_pci_HEADERS += include/pci/pcireg.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
 include_rtems_HEADERS += include/rtems/assoc.h
 include_rtems_HEADERS += include/rtems/bdbuf.h
@@ -213,12 +178,6 @@
 include_rtems_HEADERS += include/rtems/vmeintr.h
 include_rtems_HEADERS += include/rtems/watchdogdrv.h
-
-include_rtems_debuggerdir = $(includedir)/rtems/debugger
-include_rtems_debugger_HEADERS =
 include_rtems_debugger_HEADERS += include/rtems/debugger/rtems-debugger-remote.h
 include_rtems_debugger_HEADERS += include/rtems/debugger/rtems-debugger-server.h
-
-include_rtems_posixdir = $(includedir)/rtems/posix
-include_rtems_posix_HEADERS =
 include_rtems_posix_HEADERS += include/rtems/posix/aio_misc.h
 include_rtems_posix_HEADERS += include/rtems/posix/barrierimpl.h
@@ -249,7 +208,4 @@
 include_rtems_posix_HEADERS += include/rtems/posix/timer.h
 include_rtems_posix_HEADERS += include/rtems/posix/timerimpl.h
-
-include_rtems_rfsdir = $(includedir)/rtems/rfs
-include_rtems_rfs_HEADERS =
 include_rtems_rfs_HEADERS += include/rtems/rfs/rtems-rfs-bitmaps.h
 include_rtems_rfs_HEADERS += include/rtems/rfs/rtems-rfs-block-pos.h
@@ -267,7 +223,4 @@
 include_rtems_rfs_HEADERS += include/rtems/rfs/rtems-rfs-mutex.h
 include_rtems_rfs_HEADERS += include/rtems/rfs/rtems-rfs-trace.h
-
-include_rtems_rtemsdir = $(includedir)/rtems/rtems
-include_rtems_rtems_HEADERS =
 include_rtems_rtems_HEADERS += include/rtems/rtems/asr.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/asrimpl.h
@@ -318,7 +271,4 @@
 include_rtems_rtems_HEADERS += include/rtems/rtems/timerimpl.h
 include_rtems_rtems_HEADERS += include/rtems/rtems/types.h
-
-include_rtems_rtldir = $(includedir)/rtems/rtl
-include_rtems_rtl_HEADERS =
 include_rtems_rtl_HEADERS += include/rtems/rtl/dlfcn-shell.h
 include_rtems_rtl_HEADERS += include/rtems/rtl/rap-shell.h
@@ -335,7 +285,4 @@
 include_rtems_rtl_HEADERS += include/rtems/rtl/rtl-unresolved.h
 include_rtems_rtl_HEADERS += include/rtems/rtl/rtl.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
 include_rtems_score_HEADERS += include/rtems/score/address.h
 include_rtems_score_HEADERS += include/rtems/score/apimutex.h
@@ -439,11 +386,5 @@
 include_rtems_score_HEADERS += include/rtems/score/watchdogimpl.h
 include_rtems_score_HEADERS += include/rtems/score/wkspace.h
-
-include_rtems_tracedir = $(includedir)/rtems/trace
-include_rtems_trace_HEADERS =
 include_rtems_trace_HEADERS += include/rtems/trace/rtems-trace-buffer-vars.h
-
-include_sysdir = $(includedir)/sys
-include_sys_HEADERS =
 include_sys_HEADERS += include/sys/_ffcounter.h
 include_sys_HEADERS += include/sys/cdefs_elf.h
@@ -459,10 +400,4 @@
 include_sys_HEADERS += include/sys/timex.h
 include_sys_HEADERS += include/sys/utsname.h
-
-include_utf8procdir = $(includedir)/utf8proc
-include_utf8proc_HEADERS =
 include_utf8proc_HEADERS += include/utf8proc/utf8proc.h
-
-include_uuiddir = $(includedir)/uuid
-include_uuid_HEADERS =
 include_uuid_HEADERS += include/uuid/uuid.h
Index: cpukit/libnetworking/Makefile.am
===================================================================
--- cpukit/libnetworking/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,3 +1,0 @@
-if LIBNETWORKING
-include $(srcdir)/headers.am
-endif
Index: cpukit/libnetworking/headers.am
===================================================================
--- cpukit/libnetworking/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/libnetworking/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -2,149 +2,124 @@
 ## hand.
 
-include_HEADERS =
-include_HEADERS += ifaddrs.h
-include_HEADERS += librtemsNfs.h
-include_HEADERS += loop.h
-include_HEADERS += resolv.h
+include_HEADERS += libnetworking/ifaddrs.h
+include_HEADERS += libnetworking/librtemsNfs.h
+include_HEADERS += libnetworking/loop.h
+include_HEADERS += libnetworking/resolv.h
 
-include_arpadir = $(includedir)/arpa
-include_arpa_HEADERS =
-include_arpa_HEADERS += arpa/nameser.h
-include_arpa_HEADERS += arpa/nameser_compat.h
+include_arpa_HEADERS += libnetworking/arpa/nameser.h
+include_arpa_HEADERS += libnetworking/arpa/nameser_compat.h
 
-include_dev_miidir = $(includedir)/dev/mii
-include_dev_mii_HEADERS =
-include_dev_mii_HEADERS += dev/mii/mii.h
+include_dev_mii_HEADERS += libnetworking/dev/mii/mii.h
 
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += machine/_align.h
-include_machine_HEADERS += machine/_kernel_if.h
-include_machine_HEADERS += machine/_kernel_lock.h
-include_machine_HEADERS += machine/_kernel_socket.h
-include_machine_HEADERS += machine/cpu.h
-include_machine_HEADERS += machine/cpufunc.h
-include_machine_HEADERS += machine/in_cksum.h
-include_machine_HEADERS += machine/limits.h
-include_machine_HEADERS += machine/vmparam.h
+include_machine_HEADERS += libnetworking/machine/_align.h
+include_machine_HEADERS += libnetworking/machine/_kernel_if.h
+include_machine_HEADERS += libnetworking/machine/_kernel_lock.h
+include_machine_HEADERS += libnetworking/machine/_kernel_socket.h
+include_machine_HEADERS += libnetworking/machine/cpu.h
+include_machine_HEADERS += libnetworking/machine/cpufunc.h
+include_machine_HEADERS += libnetworking/machine/in_cksum.h
+include_machine_HEADERS += libnetworking/machine/limits.h
+include_machine_HEADERS += libnetworking/machine/vmparam.h
 
-include_netdir = $(includedir)/net
-include_net_HEADERS =
-include_net_HEADERS += net/bpf.h
-include_net_HEADERS += net/ethernet.h
-include_net_HEADERS += net/if_arp.h
-include_net_HEADERS += net/if_dl.h
-include_net_HEADERS += net/if_llc.h
-include_net_HEADERS += net/if_media.h
-include_net_HEADERS += net/if_ppp.h
-include_net_HEADERS += net/if_pppvar.h
-include_net_HEADERS += net/if_types.h
-include_net_HEADERS += net/if_var.h
-include_net_HEADERS += net/netisr.h
-include_net_HEADERS += net/ppp_comp.h
-include_net_HEADERS += net/ppp_defs.h
-include_net_HEADERS += net/radix.h
-include_net_HEADERS += net/raw_cb.h
-include_net_HEADERS += net/route.h
-include_net_HEADERS += net/slcompress.h
+include_net_HEADERS += libnetworking/net/bpf.h
+include_net_HEADERS += libnetworking/net/ethernet.h
+include_net_HEADERS += libnetworking/net/if_arp.h
+include_net_HEADERS += libnetworking/net/if_dl.h
+include_net_HEADERS += libnetworking/net/if_llc.h
+include_net_HEADERS += libnetworking/net/if_media.h
+include_net_HEADERS += libnetworking/net/if_ppp.h
+include_net_HEADERS += libnetworking/net/if_pppvar.h
+include_net_HEADERS += libnetworking/net/if_types.h
+include_net_HEADERS += libnetworking/net/if_var.h
+include_net_HEADERS += libnetworking/net/netisr.h
+include_net_HEADERS += libnetworking/net/ppp_comp.h
+include_net_HEADERS += libnetworking/net/ppp_defs.h
+include_net_HEADERS += libnetworking/net/radix.h
+include_net_HEADERS += libnetworking/net/raw_cb.h
+include_net_HEADERS += libnetworking/net/route.h
+include_net_HEADERS += libnetworking/net/slcompress.h
 
-include_netinetdir = $(includedir)/netinet
-include_netinet_HEADERS =
-include_netinet_HEADERS += netinet/icmp_var.h
-include_netinet_HEADERS += netinet/if_ether.h
-include_netinet_HEADERS += netinet/igmp.h
-include_netinet_HEADERS += netinet/igmp_var.h
-include_netinet_HEADERS += netinet/in_pcb.h
-include_netinet_HEADERS += netinet/in_systm.h
-include_netinet_HEADERS += netinet/in_var.h
-include_netinet_HEADERS += netinet/ip.h
-include_netinet_HEADERS += netinet/ip_fw.h
-include_netinet_HEADERS += netinet/ip_icmp.h
-include_netinet_HEADERS += netinet/ip_mroute.h
-include_netinet_HEADERS += netinet/ip_var.h
-include_netinet_HEADERS += netinet/tcp_debug.h
-include_netinet_HEADERS += netinet/tcp_fsm.h
-include_netinet_HEADERS += netinet/tcp_seq.h
-include_netinet_HEADERS += netinet/tcp_timer.h
-include_netinet_HEADERS += netinet/tcp_var.h
-include_netinet_HEADERS += netinet/tcpip.h
-include_netinet_HEADERS += netinet/udp.h
-include_netinet_HEADERS += netinet/udp_var.h
+include_netinet_HEADERS += libnetworking/netinet/icmp_var.h
+include_netinet_HEADERS += libnetworking/netinet/if_ether.h
+include_netinet_HEADERS += libnetworking/netinet/igmp.h
+include_netinet_HEADERS += libnetworking/netinet/igmp_var.h
+include_netinet_HEADERS += libnetworking/netinet/in_pcb.h
+include_netinet_HEADERS += libnetworking/netinet/in_systm.h
+include_netinet_HEADERS += libnetworking/netinet/in_var.h
+include_netinet_HEADERS += libnetworking/netinet/ip.h
+include_netinet_HEADERS += libnetworking/netinet/ip_fw.h
+include_netinet_HEADERS += libnetworking/netinet/ip_icmp.h
+include_netinet_HEADERS += libnetworking/netinet/ip_mroute.h
+include_netinet_HEADERS += libnetworking/netinet/ip_var.h
+include_netinet_HEADERS += libnetworking/netinet/tcp_debug.h
+include_netinet_HEADERS += libnetworking/netinet/tcp_fsm.h
+include_netinet_HEADERS += libnetworking/netinet/tcp_seq.h
+include_netinet_HEADERS += libnetworking/netinet/tcp_timer.h
+include_netinet_HEADERS += libnetworking/netinet/tcp_var.h
+include_netinet_HEADERS += libnetworking/netinet/tcpip.h
+include_netinet_HEADERS += libnetworking/netinet/udp.h
+include_netinet_HEADERS += libnetworking/netinet/udp_var.h
 
-include_nfsdir = $(includedir)/nfs
-include_nfs_HEADERS =
-include_nfs_HEADERS += nfs/nfsproto.h
-include_nfs_HEADERS += nfs/rpcv2.h
-include_nfs_HEADERS += nfs/xdr_subs.h
+include_nfs_HEADERS += libnetworking/nfs/nfsproto.h
+include_nfs_HEADERS += libnetworking/nfs/rpcv2.h
+include_nfs_HEADERS += libnetworking/nfs/xdr_subs.h
 
-include_nfsclientdir = $(includedir)/nfsclient
-include_nfsclient_HEADERS =
-include_nfsclient_HEADERS += nfsclient/nfsargs.h
-include_nfsclient_HEADERS += nfsclient/nfsdiskless.h
+include_nfsclient_HEADERS += libnetworking/nfsclient/nfsargs.h
+include_nfsclient_HEADERS += libnetworking/nfsclient/nfsdiskless.h
 
-include_rpcdir = $(includedir)/rpc
-include_rpc_HEADERS =
-include_rpc_HEADERS += rpc/auth.h
-include_rpc_HEADERS += rpc/auth_unix.h
-include_rpc_HEADERS += rpc/clnt.h
-include_rpc_HEADERS += rpc/clnt_soc.h
-include_rpc_HEADERS += rpc/clnt_stat.h
-include_rpc_HEADERS += rpc/pmap_clnt.h
-include_rpc_HEADERS += rpc/pmap_prot.h
-include_rpc_HEADERS += rpc/pmap_rmt.h
-include_rpc_HEADERS += rpc/rpc.h
-include_rpc_HEADERS += rpc/rpc_com.h
-include_rpc_HEADERS += rpc/rpc_msg.h
-include_rpc_HEADERS += rpc/rpcent.h
-include_rpc_HEADERS += rpc/svc.h
-include_rpc_HEADERS += rpc/svc_auth.h
-include_rpc_HEADERS += rpc/svc_soc.h
-include_rpc_HEADERS += rpc/types.h
-include_rpc_HEADERS += rpc/xdr.h
+include_rpc_HEADERS += libnetworking/rpc/auth.h
+include_rpc_HEADERS += libnetworking/rpc/auth_unix.h
+include_rpc_HEADERS += libnetworking/rpc/clnt.h
+include_rpc_HEADERS += libnetworking/rpc/clnt_soc.h
+include_rpc_HEADERS += libnetworking/rpc/clnt_stat.h
+include_rpc_HEADERS += libnetworking/rpc/pmap_clnt.h
+include_rpc_HEADERS += libnetworking/rpc/pmap_prot.h
+include_rpc_HEADERS += libnetworking/rpc/pmap_rmt.h
+include_rpc_HEADERS += libnetworking/rpc/rpc.h
+include_rpc_HEADERS += libnetworking/rpc/rpc_com.h
+include_rpc_HEADERS += libnetworking/rpc/rpc_msg.h
+include_rpc_HEADERS += libnetworking/rpc/rpcent.h
+include_rpc_HEADERS += libnetworking/rpc/svc.h
+include_rpc_HEADERS += libnetworking/rpc/svc_auth.h
+include_rpc_HEADERS += libnetworking/rpc/svc_soc.h
+include_rpc_HEADERS += libnetworking/rpc/types.h
+include_rpc_HEADERS += libnetworking/rpc/xdr.h
 
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += rtems/bootp.h
-include_rtems_HEADERS += rtems/dhcp.h
-include_rtems_HEADERS += rtems/mkrootfs.h
-include_rtems_HEADERS += rtems/rtems_bsdnet.h
-include_rtems_HEADERS += rtems/rtems_bsdnet_internal.h
-include_rtems_HEADERS += rtems/rtems_dhcp_failsafe.h
-include_rtems_HEADERS += rtems/rtems_mii_ioctl.h
-include_rtems_HEADERS += rtems/rtems_netdb.h
-include_rtems_HEADERS += rtems/rtems_netinet_in.h
-include_rtems_HEADERS += rtems/rtems_syscall.h
+include_rtems_HEADERS += libnetworking/rtems/bootp.h
+include_rtems_HEADERS += libnetworking/rtems/dhcp.h
+include_rtems_HEADERS += libnetworking/rtems/mkrootfs.h
+include_rtems_HEADERS += libnetworking/rtems/rtems_bsdnet.h
+include_rtems_HEADERS += libnetworking/rtems/rtems_bsdnet_internal.h
+include_rtems_HEADERS += libnetworking/rtems/rtems_dhcp_failsafe.h
+include_rtems_HEADERS += libnetworking/rtems/rtems_mii_ioctl.h
+include_rtems_HEADERS += libnetworking/rtems/rtems_netdb.h
+include_rtems_HEADERS += libnetworking/rtems/rtems_netinet_in.h
+include_rtems_HEADERS += libnetworking/rtems/rtems_syscall.h
 
-include_rtems_bsdnetdir = $(includedir)/rtems/bsdnet
-include_rtems_bsdnet_HEADERS =
-include_rtems_bsdnet_HEADERS += rtems/bsdnet/_types.h
-include_rtems_bsdnet_HEADERS += rtems/bsdnet/servers.h
+include_rtems_bsdnet_HEADERS += libnetworking/rtems/bsdnet/_types.h
+include_rtems_bsdnet_HEADERS += libnetworking/rtems/bsdnet/servers.h
 
-include_sysdir = $(includedir)/sys
-include_sys_HEADERS =
-include_sys_HEADERS += sys/callout.h
-include_sys_HEADERS += sys/conf.h
-include_sys_HEADERS += sys/domain.h
-include_sys_HEADERS += sys/kernel.h
-include_sys_HEADERS += sys/libkern.h
-include_sys_HEADERS += sys/linker_set.h
-include_sys_HEADERS += sys/malloc.h
-include_sys_HEADERS += sys/mbuf.h
-include_sys_HEADERS += sys/mount.h
-include_sys_HEADERS += sys/proc.h
-include_sys_HEADERS += sys/protosw.h
-include_sys_HEADERS += sys/reboot.h
-include_sys_HEADERS += sys/resourcevar.h
-include_sys_HEADERS += sys/selinfo.h
-include_sys_HEADERS += sys/signalvar.h
-include_sys_HEADERS += sys/socketvar.h
-include_sys_HEADERS += sys/sysctl.h
-include_sys_HEADERS += sys/systm.h
-include_sys_HEADERS += sys/ucred.h
+include_sys_HEADERS += libnetworking/sys/callout.h
+include_sys_HEADERS += libnetworking/sys/conf.h
+include_sys_HEADERS += libnetworking/sys/domain.h
+include_sys_HEADERS += libnetworking/sys/kernel.h
+include_sys_HEADERS += libnetworking/sys/libkern.h
+include_sys_HEADERS += libnetworking/sys/linker_set.h
+include_sys_HEADERS += libnetworking/sys/malloc.h
+include_sys_HEADERS += libnetworking/sys/mbuf.h
+include_sys_HEADERS += libnetworking/sys/mount.h
+include_sys_HEADERS += libnetworking/sys/proc.h
+include_sys_HEADERS += libnetworking/sys/protosw.h
+include_sys_HEADERS += libnetworking/sys/reboot.h
+include_sys_HEADERS += libnetworking/sys/resourcevar.h
+include_sys_HEADERS += libnetworking/sys/selinfo.h
+include_sys_HEADERS += libnetworking/sys/signalvar.h
+include_sys_HEADERS += libnetworking/sys/socketvar.h
+include_sys_HEADERS += libnetworking/sys/sysctl.h
+include_sys_HEADERS += libnetworking/sys/systm.h
+include_sys_HEADERS += libnetworking/sys/ucred.h
 
-include_vmdir = $(includedir)/vm
-include_vm_HEADERS =
-include_vm_HEADERS += vm/vm.h
-include_vm_HEADERS += vm/vm_extern.h
-include_vm_HEADERS += vm/vm_kern.h
-include_vm_HEADERS += vm/vm_param.h
+include_vm_HEADERS += libnetworking/vm/vm.h
+include_vm_HEADERS += libnetworking/vm/vm_extern.h
+include_vm_HEADERS += libnetworking/vm/vm_kern.h
+include_vm_HEADERS += libnetworking/vm/vm_param.h
Index: cpukit/score/Makefile.am
===================================================================
--- cpukit/score/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,9 +1,0 @@
-include $(top_srcdir)/automake/multilib.am
-
-_SUBDIRS = cpu
-
-# This file is in the build tree
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS = ../../include/rtems/score/cpuopts.h
-
-include $(top_srcdir)/automake/subdirs.am
Index: cpukit/score/cpu/Makefile.am
===================================================================
--- cpukit/score/cpu/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,23 +1,0 @@
-_SUBDIRS = @RTEMS_CPU@
-
-DIST_SUBDIRS =
-DIST_SUBDIRS += arm
-DIST_SUBDIRS += bfin
-DIST_SUBDIRS += epiphany
-DIST_SUBDIRS += i386
-DIST_SUBDIRS += lm32
-DIST_SUBDIRS += m32c
-DIST_SUBDIRS += m68k
-DIST_SUBDIRS += mips
-DIST_SUBDIRS += moxie
-DIST_SUBDIRS += nios2
-DIST_SUBDIRS += no_cpu
-DIST_SUBDIRS += or1k
-DIST_SUBDIRS += powerpc
-DIST_SUBDIRS += riscv
-DIST_SUBDIRS += sh
-DIST_SUBDIRS += sparc
-DIST_SUBDIRS += sparc64
-DIST_SUBDIRS += v850
-
-include $(top_srcdir)/automake/subdirs.am
Index: cpukit/score/cpu/arm/Makefile.am
===================================================================
--- cpukit/score/cpu/arm/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/arm/headers.am
===================================================================
--- cpukit/score/cpu/arm/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/arm/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,24 +1,12 @@
 ## This file was generated by "./boostrap -H".
-
-include_libcpudir = $(includedir)/libcpu
-include_libcpu_HEADERS =
-include_libcpu_HEADERS += include/libcpu/arm-cp15.h
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/arm.h
-include_rtems_score_HEADERS += include/rtems/score/armv4.h
-include_rtems_score_HEADERS += include/rtems/score/armv7m.h
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/paravirt.h
+include_libcpu_HEADERS += score/cpu/arm/include/libcpu/arm-cp15.h
+include_machine_HEADERS += score/cpu/arm/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/arm/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/arm/include/rtems/score/arm.h
+include_rtems_score_HEADERS += score/cpu/arm/include/rtems/score/armv4.h
+include_rtems_score_HEADERS += score/cpu/arm/include/rtems/score/armv7m.h
+include_rtems_score_HEADERS += score/cpu/arm/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/arm/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/arm/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/arm/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/arm/include/rtems/score/paravirt.h
Index: cpukit/score/cpu/bfin/Makefile.am
===================================================================
--- cpukit/score/cpu/bfin/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/bfin/headers.am
===================================================================
--- cpukit/score/cpu/bfin/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/bfin/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,23 +1,11 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_bfindir = $(includedir)/rtems/bfin
-include_rtems_bfin_HEADERS =
-include_rtems_bfin_HEADERS += include/rtems/bfin/bf52x.h
-include_rtems_bfin_HEADERS += include/rtems/bfin/bf533.h
-include_rtems_bfin_HEADERS += include/rtems/bfin/bfin.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/bfin.h
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
+include_machine_HEADERS += score/cpu/bfin/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/bfin/include/rtems/asm.h
+include_rtems_bfin_HEADERS += score/cpu/bfin/include/rtems/bfin/bf52x.h
+include_rtems_bfin_HEADERS += score/cpu/bfin/include/rtems/bfin/bf533.h
+include_rtems_bfin_HEADERS += score/cpu/bfin/include/rtems/bfin/bfin.h
+include_rtems_score_HEADERS += score/cpu/bfin/include/rtems/score/bfin.h
+include_rtems_score_HEADERS += score/cpu/bfin/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/bfin/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/bfin/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/bfin/include/rtems/score/cpuimpl.h
Index: cpukit/score/cpu/epiphany/Makefile.am
===================================================================
--- cpukit/score/cpu/epiphany/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/epiphany/headers.am
===================================================================
--- cpukit/score/cpu/epiphany/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/epiphany/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,14 +1,8 @@
 ## This file was generated by "./boostrap -H".
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/epiphany-utility.h
-include_rtems_score_HEADERS += include/rtems/score/epiphany.h
+include_rtems_HEADERS += score/cpu/epiphany/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/epiphany/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/epiphany/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/epiphany/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/epiphany/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/epiphany/include/rtems/score/epiphany-utility.h
+include_rtems_score_HEADERS += score/cpu/epiphany/include/rtems/score/epiphany.h
Index: cpukit/score/cpu/h8300/headers.am
===================================================================
--- cpukit/score/cpu/h8300/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/h8300/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,5 +1,2 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
+include_machine_HEADERS += score/cpu/h8300/include/machine/elf_machdep.h
Index: cpukit/score/cpu/i386/Makefile.am
===================================================================
--- cpukit/score/cpu/i386/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/i386/headers.am
===================================================================
--- cpukit/score/cpu/i386/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/i386/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,20 +1,11 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/i386.h
-include_rtems_score_HEADERS += include/rtems/score/idtr.h
-include_rtems_score_HEADERS += include/rtems/score/interrupts.h
-include_rtems_score_HEADERS += include/rtems/score/paravirt.h
-include_rtems_score_HEADERS += include/rtems/score/registers.h
+include_machine_HEADERS += score/cpu/i386/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/i386/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/i386/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/i386/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/i386/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/i386/include/rtems/score/i386.h
+include_rtems_score_HEADERS += score/cpu/i386/include/rtems/score/idtr.h
+include_rtems_score_HEADERS += score/cpu/i386/include/rtems/score/interrupts.h
+include_rtems_score_HEADERS += score/cpu/i386/include/rtems/score/paravirt.h
+include_rtems_score_HEADERS += score/cpu/i386/include/rtems/score/registers.h
Index: cpukit/score/cpu/lm32/Makefile.am
===================================================================
--- cpukit/score/cpu/lm32/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/lm32/headers.am
===================================================================
--- cpukit/score/cpu/lm32/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/lm32/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,17 +1,8 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/lm32.h
+include_machine_HEADERS += score/cpu/lm32/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/lm32/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/lm32/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/lm32/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/lm32/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/lm32/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/lm32/include/rtems/score/lm32.h
Index: cpukit/score/cpu/m32c/Makefile.am
===================================================================
--- cpukit/score/cpu/m32c/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/m32c/headers.am
===================================================================
--- cpukit/score/cpu/m32c/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/m32c/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,16 +1,8 @@
 ## This file was generated by "./boostrap -H".
-
-include_HEADERS =
-include_HEADERS += include/varvects.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/m32c.h
+include_HEADERS += score/cpu/m32c/include/varvects.h
+include_rtems_HEADERS += score/cpu/m32c/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/m32c/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/m32c/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/m32c/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/m32c/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/m32c/include/rtems/score/m32c.h
Index: cpukit/score/cpu/m68k/Makefile.am
===================================================================
--- cpukit/score/cpu/m68k/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/m68k/headers.am
===================================================================
--- cpukit/score/cpu/m68k/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/m68k/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,23 +1,11 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_m68kdir = $(includedir)/rtems/m68k
-include_rtems_m68k_HEADERS =
-include_rtems_m68k_HEADERS += include/rtems/m68k/m68302.h
-include_rtems_m68k_HEADERS += include/rtems/m68k/m68360.h
-include_rtems_m68k_HEADERS += include/rtems/m68k/qsm.h
-include_rtems_m68k_HEADERS += include/rtems/m68k/sim.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/m68k.h
+include_machine_HEADERS += score/cpu/m68k/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/m68k/include/rtems/asm.h
+include_rtems_m68k_HEADERS += score/cpu/m68k/include/rtems/m68k/m68302.h
+include_rtems_m68k_HEADERS += score/cpu/m68k/include/rtems/m68k/m68360.h
+include_rtems_m68k_HEADERS += score/cpu/m68k/include/rtems/m68k/qsm.h
+include_rtems_m68k_HEADERS += score/cpu/m68k/include/rtems/m68k/sim.h
+include_rtems_score_HEADERS += score/cpu/m68k/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/m68k/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/m68k/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/m68k/include/rtems/score/m68k.h
Index: cpukit/score/cpu/mips/Makefile.am
===================================================================
--- cpukit/score/cpu/mips/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/mips/headers.am
===================================================================
--- cpukit/score/cpu/mips/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/mips/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,21 +1,9 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_mipsdir = $(includedir)/rtems/mips
-include_rtems_mips_HEADERS =
-include_rtems_mips_HEADERS += include/rtems/mips/idtcpu.h
-include_rtems_mips_HEADERS += include/rtems/mips/iregdef.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/mips.h
+include_machine_HEADERS += score/cpu/mips/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/mips/include/rtems/asm.h
+include_rtems_mips_HEADERS += score/cpu/mips/include/rtems/mips/idtcpu.h
+include_rtems_mips_HEADERS += score/cpu/mips/include/rtems/mips/iregdef.h
+include_rtems_score_HEADERS += score/cpu/mips/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/mips/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/mips/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/mips/include/rtems/score/mips.h
Index: cpukit/score/cpu/moxie/Makefile.am
===================================================================
--- cpukit/score/cpu/moxie/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/moxie/headers.am
===================================================================
--- cpukit/score/cpu/moxie/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/moxie/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,16 +1,7 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/moxie.h
+include_machine_HEADERS += score/cpu/moxie/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/moxie/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/moxie/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/moxie/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/moxie/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/moxie/include/rtems/score/moxie.h
Index: cpukit/score/cpu/nios2/Makefile.am
===================================================================
--- cpukit/score/cpu/nios2/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/nios2/headers.am
===================================================================
--- cpukit/score/cpu/nios2/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/nios2/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,19 +1,10 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/nios2-count-zeros.h
-include_rtems_score_HEADERS += include/rtems/score/nios2-utility.h
-include_rtems_score_HEADERS += include/rtems/score/nios2.h
+include_machine_HEADERS += score/cpu/nios2/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/nios2/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/nios2/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/nios2/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/nios2/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/nios2/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/nios2/include/rtems/score/nios2-count-zeros.h
+include_rtems_score_HEADERS += score/cpu/nios2/include/rtems/score/nios2-utility.h
+include_rtems_score_HEADERS += score/cpu/nios2/include/rtems/score/nios2.h
Index: cpukit/score/cpu/no_cpu/Makefile.am
===================================================================
--- cpukit/score/cpu/no_cpu/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/no_cpu/headers.am
===================================================================
--- cpukit/score/cpu/no_cpu/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/no_cpu/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,12 +1,6 @@
 ## This file was generated by "./boostrap -H".
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/no_cpu.h
+include_rtems_HEADERS += score/cpu/no_cpu/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/no_cpu/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/no_cpu/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/no_cpu/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/no_cpu/include/rtems/score/no_cpu.h
Index: cpukit/score/cpu/or1k/Makefile.am
===================================================================
--- cpukit/score/cpu/or1k/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/or1k/headers.am
===================================================================
--- cpukit/score/cpu/or1k/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/or1k/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,14 +1,8 @@
 ## This file was generated by "./boostrap -H".
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/or1k-utility.h
-include_rtems_score_HEADERS += include/rtems/score/or1k.h
+include_rtems_HEADERS += score/cpu/or1k/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/or1k/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/or1k/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/or1k/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/or1k/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/or1k/include/rtems/score/or1k-utility.h
+include_rtems_score_HEADERS += score/cpu/or1k/include/rtems/score/or1k.h
Index: cpukit/score/cpu/powerpc/Makefile.am
===================================================================
--- cpukit/score/cpu/powerpc/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/powerpc/headers.am
===================================================================
--- cpukit/score/cpu/powerpc/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/powerpc/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,21 +1,9 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_powerpcdir = $(includedir)/rtems/powerpc
-include_rtems_powerpc_HEADERS =
-include_rtems_powerpc_HEADERS += include/rtems/powerpc/registers.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/paravirt.h
-include_rtems_score_HEADERS += include/rtems/score/powerpc.h
+include_machine_HEADERS += score/cpu/powerpc/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/powerpc/include/rtems/asm.h
+include_rtems_powerpc_HEADERS += score/cpu/powerpc/include/rtems/powerpc/registers.h
+include_rtems_score_HEADERS += score/cpu/powerpc/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/powerpc/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/powerpc/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/powerpc/include/rtems/score/paravirt.h
+include_rtems_score_HEADERS += score/cpu/powerpc/include/rtems/score/powerpc.h
Index: cpukit/score/cpu/riscv/Makefile.am
===================================================================
--- cpukit/score/cpu/riscv/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/riscv/headers.am
===================================================================
--- cpukit/score/cpu/riscv/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/riscv/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,14 +1,8 @@
 ## This file was generated by "./boostrap -H".
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/riscv-utility.h
-include_rtems_score_HEADERS += include/rtems/score/riscv.h
+include_rtems_HEADERS += score/cpu/riscv/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/riscv/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/riscv/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/riscv/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/riscv/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/riscv/include/rtems/score/riscv-utility.h
+include_rtems_score_HEADERS += score/cpu/riscv/include/rtems/score/riscv.h
Index: cpukit/score/cpu/sh/Makefile.am
===================================================================
--- cpukit/score/cpu/sh/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/sh/headers.am
===================================================================
--- cpukit/score/cpu/sh/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/sh/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,13 +1,7 @@
 ## This file was generated by "./boostrap -H".
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/sh.h
-include_rtems_score_HEADERS += include/rtems/score/sh_io.h
+include_rtems_HEADERS += score/cpu/sh/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/sh/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/sh/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/sh/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/sh/include/rtems/score/sh.h
+include_rtems_score_HEADERS += score/cpu/sh/include/rtems/score/sh_io.h
Index: cpukit/score/cpu/sparc/Makefile.am
===================================================================
--- cpukit/score/cpu/sparc/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/sparc/headers.am
===================================================================
--- cpukit/score/cpu/sparc/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/sparc/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,22 +1,10 @@
 ## This file was generated by "./boostrap -H".
-
-include_libcpudir = $(includedir)/libcpu
-include_libcpu_HEADERS =
-include_libcpu_HEADERS += include/libcpu/access.h
-include_libcpu_HEADERS += include/libcpu/byteorder.h
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/sparc.h
-include_rtems_score_HEADERS += include/rtems/score/sparcimpl.h
+include_libcpu_HEADERS += score/cpu/sparc/include/libcpu/access.h
+include_libcpu_HEADERS += score/cpu/sparc/include/libcpu/byteorder.h
+include_machine_HEADERS += score/cpu/sparc/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/sparc/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/sparc/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/sparc/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/sparc/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/sparc/include/rtems/score/sparc.h
+include_rtems_score_HEADERS += score/cpu/sparc/include/rtems/score/sparcimpl.h
Index: cpukit/score/cpu/sparc64/Makefile.am
===================================================================
--- cpukit/score/cpu/sparc64/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/sparc64/headers.am
===================================================================
--- cpukit/score/cpu/sparc64/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/sparc64/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,12 +1,6 @@
 ## This file was generated by "./boostrap -H".
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/sparc64.h
+include_rtems_HEADERS += score/cpu/sparc64/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/sparc64/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/sparc64/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/sparc64/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/sparc64/include/rtems/score/sparc64.h
Index: cpukit/score/cpu/v850/Makefile.am
===================================================================
--- cpukit/score/cpu/v850/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/v850/headers.am
===================================================================
--- cpukit/score/cpu/v850/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/v850/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,17 +1,8 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/v850.h
+include_machine_HEADERS += score/cpu/v850/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/v850/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/v850/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/v850/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/v850/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/v850/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/v850/include/rtems/score/v850.h
Index: cpukit/score/cpu/x86_64/Makefile.am
===================================================================
--- cpukit/score/cpu/x86_64/Makefile.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-include $(srcdir)/headers.am
Index: cpukit/score/cpu/x86_64/headers.am
===================================================================
--- cpukit/score/cpu/x86_64/headers.am	(revision 629faf95046cddedc161ba9bc43fda925ca04ee5)
+++ cpukit/score/cpu/x86_64/headers.am	(revision 2548d14b82b4baab29b7b680ec799042983dff8f)
@@ -1,18 +1,9 @@
 ## This file was generated by "./boostrap -H".
-
-include_machinedir = $(includedir)/machine
-include_machine_HEADERS =
-include_machine_HEADERS += include/machine/elf_machdep.h
-
-include_rtemsdir = $(includedir)/rtems
-include_rtems_HEADERS =
-include_rtems_HEADERS += include/rtems/asm.h
-
-include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS =
-include_rtems_score_HEADERS += include/rtems/score/cpu.h
-include_rtems_score_HEADERS += include/rtems/score/cpu_asm.h
-include_rtems_score_HEADERS += include/rtems/score/cpuatomic.h
-include_rtems_score_HEADERS += include/rtems/score/cpuimpl.h
-include_rtems_score_HEADERS += include/rtems/score/idt.h
-include_rtems_score_HEADERS += include/rtems/score/x86_64.h
+include_machine_HEADERS += score/cpu/x86_64/include/machine/elf_machdep.h
+include_rtems_HEADERS += score/cpu/x86_64/include/rtems/asm.h
+include_rtems_score_HEADERS += score/cpu/x86_64/include/rtems/score/cpu.h
+include_rtems_score_HEADERS += score/cpu/x86_64/include/rtems/score/cpu_asm.h
+include_rtems_score_HEADERS += score/cpu/x86_64/include/rtems/score/cpuatomic.h
+include_rtems_score_HEADERS += score/cpu/x86_64/include/rtems/score/cpuimpl.h
+include_rtems_score_HEADERS += score/cpu/x86_64/include/rtems/score/idt.h
+include_rtems_score_HEADERS += score/cpu/x86_64/include/rtems/score/x86_64.h
